<?xml version="1.0" encoding="utf-8"?>
<!--
/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
-->
<manifest
    xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.android.sdksandbox"
    android:versionCode="1"
    android:versionName="T-initial">

    <uses-sdk
        android:minSdkVersion="33"/>

    <!-- @hide @TestApi -->
    <permission android:name="com.android.app.sdksandbox.permission.STOP_SDK_SANDBOX"
                android:protectionLevel="normal" />

    <uses-permission android:name="android.permission.INTERNET"/>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.READ_BASIC_PHONE_STATE"/>

    <!-- Permissions to access PP APIs. -->
    <uses-permission android:name="android.permission.ACCESS_ADSERVICES_AD_ID" />
    <uses-permission android:name="android.permission.ACCESS_ADSERVICES_TOPICS" />
    <uses-permission android:name="android.permission.ACCESS_ADSERVICES_ATTRIBUTION" />
    <uses-permission android:name="android.permission.ACCESS_ADSERVICES_CUSTOM_AUDIENCE" />

    <application
          android:usesNonSdkApi="false"
          android:forceQueryable="true"
          android:allowBackup="false"
          android:networkSecurityConfig="@xml/network_security_config">
        <activity
            android:name=".SandboxedActivity"
            android:exported="true"
            android:enableOnBackInvokedCallback="true">
            <intent-filter>
                <action android:name="android.app.sdksandbox.action.START_SANDBOXED_ACTIVITY" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <service android:name=".SdkSandboxServiceImpl" android:exported="true">
            <intent-filter>
                <action android:name="com.android.sdksandbox.SdkSandboxService"/>
            </intent-filter>
        </service>
        <property android:name="android.internal.PROPERTY_NO_APP_DATA_STORAGE"
                  android:value="true" />
    </application>

</manifest>
